﻿using Newtonsoft.Json;
using System;
using System.Net.Http;
using TotalSynergyAPIService.Domain.Models;
using TotalSynergyAPIService.Services;

namespace ConsoleApp
{
    class Program
    {
        static async System.Threading.Tasks.Task Main(string[] args)
        {
            if (args.Length != 1)
            {
                Console.WriteLine("Error: unrecognized or incomplete command line.");
                Console.WriteLine();
                Console.WriteLine("USAGE:");
                Console.WriteLine("       getprofile accesstoken");
                Environment.Exit(1);
            }

            string accessToken = args[0];

            HttpClient client = new HttpClient();
            ProfileService profileService = new ProfileService(client);

            Profile profile = await profileService.GetProfile(accessToken);

            if (profile == null)
            {

                Environment.Exit(1);
            }

            string serializedProject = JsonConvert.SerializeObject(profile);

            Console.WriteLine(serializedProject);
        }
    }
}
