import { Component, Inject, OnInit } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
})
export class HomeComponent implements OnInit  {
  private http: HttpClient;
  private  title = 'oauthexample';
  private  location: Location;
  private  publicKey = "";
  private  accessToken: string;
  private baseUrl: string;
  public enableLogin: boolean = false;

  constructor(http: HttpClient, @Inject('BASE_URL') baseUrl: string) {
    this.http = http;
    this.baseUrl = baseUrl;
  }

  ngOnInit() {
    this.http.get<string>(this.baseUrl + 'api/SampleData/GetPublicKey').subscribe(result => {
      this.publicKey = result;
      console.log("publicKey " + result)
      this.enableLogin = true;
    }, error => {
      console.log("error invalid public key")
    });
  }

  private encodeQueryData(data): string {
    const ret = [];
    for (let d in data)
      ret.push(encodeURIComponent(d) + '=' + encodeURIComponent(data[d]));
    return ret.join('&');
  }


  public onClick() {
    console.log("Loggin started");
    var currentUrl = "window.location.href";

    var getUrl = window.location;
    var redirectUrl = "https://" + getUrl.host + "/" + getUrl.pathname.split('/')[1] + 'fetch-data';
    //redirectUrl = 'http://localhost:4200/index.html'
    const data = { 'ApplicationKey': this.publicKey, 'tenant': '', 'RedirectUri': redirectUrl };
    var querystring = this.encodeQueryData(data);

    var newUrl: string = "https://beta.totalsynergy.com/OAuth2/Authorize?" + querystring
    window.location.href = newUrl;
    //this.location.go(newUrl)

  }

}
